local ai = {}

function ai.chooseSkill(toon)
	skill = ai.getSkill(toon)
	
	return skill
end

function ai.getSkill(toon)
	skills = ai.filterCooldowns(toon.skills)
	skills = ai.sortByLevel(skills, ">")
	skills = ai.seperateSkills(skills)
	
	
	for k,v in pairs(skills.buff) do
		return v
	end
	
	hpPercentage = toon.state.curHp / toon.state.totHp
	
	if hpPercentage < 0.8 and hpPercentage > 0.7 then
		for k,v in pairs(skills.heal) do
			return v
		end
	end
	
	if hpPercentage < 0.25 and hpPercentage > 0.15 then
		for k,v in pairs(skills.heal) do
			return v
		end
	end
	
	for k,v in pairs(skills.fight) do
		return v
	end
end

function ai.filterCooldowns(skills)
	local filteredSkills = {}
	
	for k,v in pairs(skills) do
		if v.cdLeft == 0 then
			table.insert(filteredSkills, v)
		end
	end
	
	return filteredSkills
end

function ai.seperateSkills(skills)
	seperatedSkills = {
		fight = {},
		heal = {},
		buff = {}
	}
	
	for k,v in pairs(skills) do
		if v.category == "fight" then
			seperatedSkills.fight[k] = v
		elseif v.category == "heal" then
			seperatedSkills.heal[k] = v
		elseif v.category == "buff" then
			seperatedSkills.buff[k] = v
		end
	end
	
	return seperatedSkills
end

function ai.sortByLevel(skills, op)
	if op == ">" then
		table.sort(skills, function(a,b) return a.level > b.level end)
	elseif op == "<" then
		table.sort(skills, function(a,b) return a.level < b.level end)
	end
	
	return skills
end

function ai.sortByPower(skills, op)
	if op == ">" then
		table.sort(skills, function(a,b) return a.power > b.power end)
	elseif op == "<" then
		table.sort(skills, function(a,b) return a.power < b.power end)
	end
	
	return skills
end

function ai.chance(percentChance)
	local roll = math.random(1, 100)
	
	if roll <= percentChance then 
		return true
	elseif roll > percentChance then
		return false
	end
end

function ai.addVariance(value, chance)
	local sign = math.random(0, 1)
	if sign == 0 then sign = -1 end
	
	return value * (1 + (sign * (math.random(1, chance) / 100)))
end

return ai