-- catalogue of all skills
local effectCatalogue = {
	effects = {
		{
			index = "dot_1",
			name = "Burn",
			kind = "dot",
			category = "fight",
			duration = 5,
			dLeft = 0,
			ot = true,
			caster = nil,
			points = 0,
			action = 
				function(caster, target)
					local points = (caster.state.curAttack / target.state.curDefense) * 3
					points = ai.addVariance(points, 10)
					points = math.max(math.floor(points), 0)
						
					target.state.curHp = 
						math.max(target.state.curHp - points, 0)
					
					return points
				end,
			remove = 
				function(target, points)
				
					return true
				end
		},
		{
			index = "dot_2",
			name = "Poison",
			kind = "dot",
			category = "fight",
			duration = 5,
			dLeft = 0,
			ot = true,
			caster = nil,
			points = 0,
			action = 
				function(caster, target)
					local points = (caster.state.curAttack / target.state.curDefense) * 4
					points = ai.addVariance(points, 10)
					points = math.max(math.floor(points), 0)
						
					target.state.curHp = 
						math.max(target.state.curHp - points, 0)
					
					return points
				end,
			remove = 
				function(target, points)
				
					return true
				end
		},
		{
			index = "condition_2",
			name = "Blind",
			kind = "condition",
			category = "fight",
			duration = 3,
			dLeft = 0,
			ot = false,
			caster = nil,
			points = 0,
			action = 
				function(caster, target)
					local points = (caster.state.curIntelligence / target.state.curIntelligence) * .7
					points = math.floor(target.state.curAccuracy * points)
					
					target.state.curAccuracy = math.max(target.state.curAccuracy - points, 1)
					
					return points
				end,
			remove =
				function(target, points)
					target.state.curAccuracy = target.state.curAccuracy + points
					
					return true
				end
		},
		{
			index = "condition_3",
			name = "Weak",
			kind = "condition",
			category = "fight",
			duration = 3,
			dLeft = 0,
			ot = false,
			caster = nil,
			points = 0,
			action = 
				function(caster, target)
					local points = (caster.state.curIntelligence / target.state.curIntelligence) * .2
					points = math.floor(target.state.curDefense * points)
					
					target.state.curDefense = math.max(target.state.curDefense - points, 1)
					
					return points
				end,
			remove =
				function(target, points)
					target.state.curDefense = target.state.curDefense + points
					
					return true
				end
		},
		{
			index = "condition_4",
			name = "Slow",
			kind = "condition",
			category = "fight",
			duration = 5,
			dLeft = 0,
			ot = false,
			caster = nil,
			points = 0,
			action = 
				function(caster, target)
					local points = (caster.state.curIntelligence / target.state.curIntelligence) * .2
					points = math.floor(target.state.curSpeed * points)
					
					target.state.curSpeed = math.max(target.state.curSpeed - points, 1)
					
					return points
				end,
			remove =
				function(target, points)
					target.state.curSpeed = target.state.curSpeed + points
					
					return true
				end
		},
		{
			index = "hot_1",
			name = "Meditate",
			kind = "hot",
			category = "heal",
			duration = 5,
			dLeft = 0,
			ot = true,
			caster = nil,
			points = 0,
			action =
				function(caster, target)
					local points = caster.state.curIntelligence * .5
					points = ai.addVariance(points, 5)
					points = math.ceil(points)
					
					target.state.curHp = math.min(target.state.curHp + points, target.state.totHp)
					
					return points
				end,
			remove = 
				function(target, points)
				
					return true
				end
		},
		{
			index = "boon_2",
			name = "Lifeblood",
			kind = "boon",
			category = "buff",
			duration = 20,
			dLeft = 0,
			ot = false,
			caster = nil,
			points = 0,
			action = 
				function(caster, target)
					local points = math.ceil(target.stats.hp * .1)
					target.state.totHp = target.state.totHp + points
					target.state.curHp = target.state.curHp + points
					
					return points
				end,
			remove =
				function(target, points)
					target.state.totHp = target.state.totHp - points
					target.state.curHp = math.min(target.state.curHp, target.state.totHp)
					
					return true
				end
		},
		{
			index = "boon_3",
			name = "Flex",
			kind = "boon",
			category = "buff",
			duration = 5,
			dLeft = 0,
			ot = false,
			caster = nil,
			points = 0,
			action = 
				function(caster, target)
					local points = math.ceil(target.stats.attack * .2)
					target.state.curAttack = target.state.curAttack + points
					
					return points
				end,
			remove =
				function(target, points)
					target.state.curAttack = target.state.curAttack - points
					
					return true
				end
		},
		{
			index = "boon_4",
			name = "Brace",
			kind = "boon",
			category = "buff",
			duration = 5,
			dLeft = 0,
			ot = false,
			caster = nil,
			points = 0,
			action = 
				function(caster, target)
					local points = math.ceil(target.stats.defense * .2)
					target.state.curDefense = target.state.curDefense + points
					
					return points
				end,
			remove =
				function(target, points)
					target.state.curDefense = target.state.curDefense - points
					
					return true
				end
		},
		{
			index = "boon_5",
			name = "Energize",
			kind = "boon",
			category = "buff",
			duration = 5,
			dLeft = 0,
			ot = false,
			caster = nil,
			points = 0,
			action = 
				function(caster, target)
					local points = math.ceil(target.stats.speed * .8)
					target.state.curSpeed = target.state.curSpeed + points
					
					return points
				end,
			remove =
				function(target, points)
					target.state.curSpeed = target.state.curSpeed - points
					
					return true
				end
		},
		{
			index = "boon_6",
			name = "Concentrate",
			kind = "boon",
			category = "buff",
			duration = 5,
			dLeft = 0,
			ot = false,
			caster = nil,
			points = 0,
			action = 
				function(caster, target)
					local points = math.ceil(target.stats.accuracy * .2)
					target.state.curAccuracy = target.state.curAccuracy + points
					
					return points
				end,
			remove =
				function(target, points)
					target.state.curAccuracy = target.state.curAccuracy - points
					
					return true
				end
		},
		{
			index = "boon_7",
			name = "Ninja Mode",
			kind = "boon",
			category = "buff",
			duration = 5,
			dLeft = 0,
			ot = false,
			caster = nil,
			points = 0,
			action = 
				function(caster, target)
					local points = math.ceil(target.stats.evasion * .5)
					target.state.curEvasion = target.state.curEvasion + points
					
					return points
				end,
			remove =
				function(target, points)
					target.state.curEvasion = target.state.curEvasion - points
					
					return true
				end
		},
	}
}

function effectCatalogue.lookUpByIndex(index)
	for k,v in pairs(effectCatalogue.effects) do
		if v.index == index then
			return deepCopy(v)
		end
	end
end

return effectCatalogue