-- a catalogue of all mobs
local mobCatalogue = {
	{
		skin = love.graphics.newImage("img/character/gardensnake.png"),
		name = "Garden Snake",
		middle = {x = 130, y = 130},
		mouth = {x = 35, y = 170},
		hand = {x = 35, y = 170},
		stats = {
			level = 1,
			hp = 80,
			attack = 8,
			defense = 8,
			intelligence = 8,
			speed = 5,
			accuracy = 10,
			evasion = 10,
			critChance = 5,
			critStrike = 5
		},
		skills = {
			skillCatalogue.lookUpByIndex("fight_8")
		},
		xp = 400
	},
	{
		skin = love.graphics.newImage("img/character/stub-enemy.png"),
		name = "Racoon",
		middle = {x = 130, y = 130},
		mouth = {x = 35, y = 170},
		hand = {x = 35, y = 170},
		stats = {
			level = 2,
			hp = 95,
			attack = 12,
			defense = 8,
			intelligence = 8,
			speed = 5,
			accuracy = 10,
			evasion = 10,
			critChance = 5,
			critStrike = 5
		},
		skills = {
			skillCatalogue.lookUpByIndex("fight_1"),
			skillCatalogue.lookUpByIndex("fight_3")
		},
		xp = 600,
	},
	{
		skin = love.graphics.newImage("img/character/hawk.png"),
		name = "Hawk",
		middle = {x = 150, y = 120},
		mouth = {x = 125, y = 120},
		hand = {x = 125, y = 120},
		stats = {
			level = 3,
			hp = 105,
			attack = 13,
			defense = 8,
			intelligence = 11,
			speed = 6,
			accuracy = 10,
			evasion = 14,
			critChance = 5,
			critStrike = 5
		},
		skills = {
			skillCatalogue.lookUpByIndex("fight_11"),
			skillCatalogue.lookUpByIndex("heal_1")
		},
		xp = 900,
	},
	{
		skin = love.graphics.newImage("img/character/spider.png"),
		name = "Spider",
		middle = {x = 155, y = 135},
		mouth = {x = 145, y = 205},
		hand = {x = 145, y = 205},
		stats = {
			level = 4,
			hp = 120,
			attack = 13,
			defense = 16,
			intelligence = 12,
			speed = 5,
			accuracy = 12,
			evasion = 10,
			critChance = 6,
			critStrike = 5
		},
		skills = {
			skillCatalogue.lookUpByIndex("fight_9"),
			skillCatalogue.lookUpByIndex("fight_10"),
			skillCatalogue.lookUpByIndex("heal_2")
		},
		xp = 1300
	},
	{
		skin = love.graphics.newImage("img/character/cobra.png"),
		name = "Cobra",
		middle = {x = 250, y = 220},
		mouth = {x = 250, y = 140},
		hand = {x = 250, y = 140},
		stats = {
			level = 5,
			hp = 230,
			attack = 15,
			defense = 14,
			intelligence = 11,
			speed = 6,
			accuracy = 8,
			evasion = 10,
			critChance = 5,
			critStrike = 5
		},
		skills = {
			skillCatalogue.lookUpByIndex("fight_6"),
			skillCatalogue.lookUpByIndex("fight_12"),
			skillCatalogue.lookUpByIndex("heal_1"),
			skillCatalogue.lookUpByIndex("buff_1")
		},
		xp = 2000
	},
	{
		skin = love.graphics.newImage("img/character/stub-enemy.png"),
		name = "Mob 6",
		middle = {x = 130, y = 130},
		mouth = {x = 35, y = 170},
		hand = {x = 35, y = 170},
		stats = {
			level = 6,
			hp = 180,
			attack = 20,
			defense = 15,
			intelligence = 15,
			speed = 4,
			accuracy = 11,
			evasion = 11,
			critChance = 5,
			critStrike = 5
		},
		skills = {
			skillCatalogue.lookUpByIndex("fight_1"),
			skillCatalogue.lookUpByIndex("fight_2")
		},
		xp = 400
	},
	{
		skin = love.graphics.newImage("img/character/stub-enemy.png"),
		name = "Mob 7",
		middle = {x = 130, y = 130},
		mouth = {x = 35, y = 170},
		hand = {x = 35, y = 170},
		stats = {
			level = 2,
			hp = 95,
			attack = 12,
			defense = 8,
			intelligence = 20,
			speed = 5,
			accuracy = 10,
			evasion = 10,
			critChance = 5,
			critStrike = 5
		},
		skills = {
			skillCatalogue.lookUpByIndex("fight_1"),
			skillCatalogue.lookUpByIndex("fight_2")
		},
		xp = 600,
	},
	{
		skin = love.graphics.newImage("img/character/stub-enemy.png"),
		name = "Mob 8",
		middle = {x = 130, y = 130},
		mouth = {x = 35, y = 170},
		hand = {x = 35, y = 170},
		stats = {
			level = 3,
			hp = 105,
			attack = 14,
			defense = 14,
			intelligence = 20,
			speed = 5,
			accuracy = 10,
			evasion = 10,
			critChance = 5,
			critStrike = 5
		},
		skills = {
			skillCatalogue.lookUpByIndex("fight_1"),
			skillCatalogue.lookUpByIndex("heal_1")
		},
		xp = 900,
	},
	{
		skin = love.graphics.newImage("img/character/spider.png"),
		name = "Mob 9",
		middle = {x = 155, y = 135},
		mouth = {x = 145, y = 205},
		hand = {x = 145, y = 205},
		stats = {
			level = 4,
			hp = 120,
			attack = 12,
			defense = 17,
			intelligence = 20,
			speed = 5,
			accuracy = 10,
			evasion = 10,
			critChance = 5,
			critStrike = 5
		},
		skills = {
			skillCatalogue.lookUpByIndex("fight_1"),
			skillCatalogue.lookUpByIndex("fight_2"),
			skillCatalogue.lookUpByIndex("hot_1")
		},
		xp = 1300
	},
	{
		skin = love.graphics.newImage("img/character/stub-enemy.png"),
		name = "Boss 2",
		middle = {x = 130, y = 130},
		mouth = {x = 35, y = 170},
		hand = {x = 35, y = 170},
		stats = {
			level = 5,
			hp = 200,
			attack = 16,
			defense = 16,
			intelligence = 20,
			speed = 5,
			accuracy = 10,
			evasion = 10,
			critChance = 5,
			critStrike = 5
		},
		skills = {
			skillCatalogue.lookUpByIndex("fight_1"),
			skillCatalogue.lookUpByIndex("fight_2"),
			skillCatalogue.lookUpByIndex("dot_1"),
			skillCatalogue.lookUpByIndex("hot_1"),
			skillCatalogue.lookUpByIndex("buff_1")
		},
		xp = 2000
	}
}

return mobCatalogue