-- the badger screen
local badgerScreen = {}

-- code to run when badger screen is loaded
function badgerScreen.load()
	badgerScreen.initBadgerScreen()
	
	playerSkin = player:getSkin()
	playerW = player:getW()
	playerH = player:getH()
end

-- code to run when badger screen is destroyed
function badgerScreen.unload()
	loveframes.util.RemoveAll()
end

-- code to run when a key is pressed
function badgerScreen.keypressed(key, unicode)
end

-- code to run when a key is released
function badgerScreen.keyreleased(key, unicode)
end

-- code to run when mouse is pressed
function badgerScreen.mousepressed(x, y, button)
end

-- code to run when mouse is released
function badgerScreen.mousereleased(x, y, button)
end

-- code to run every frame
function badgerScreen.update(dt)
end

-- code to draw every frame
function badgerScreen.draw()
	
	love.graphics.draw(playerSkin, 
		(g_w/2) - (playerW/2), (g_h/2) - (playerH/2), 0, g_sx, g_sy)
	
	love.graphics.setFont(g_font_dimbo_20)
	
	local statY = g_h / 3
	for k,v in pairs(player.stats) do
		love.graphics.print(k .. ": " .. v, 2 * (g_w / 3), statY)
		statY = statY + 30
	end
end

function badgerScreen.initBadgerScreen()
	backButton = loveframes.Create("button")
	backButton:SetText("Back")
	backButton:SetPos(g_w - 200, g_h - 130)
	backButton:SetSize(100, 40)
	backButton.OnClick = function() changeScreen(storyScreen) end
end

return badgerScreen