-- the battleTran screen
local battleTranScreen = {}

-- code to run when battleTran screen is loaded
function battleTranScreen.load(args)

	effect = love.graphics.newPixelEffect [[
		extern number decay;
		extern number density;
		extern number weight;
		extern vec2 ltgDir;
		extern number numSamp;
		//uniform sampler2D firstPass;

		vec4 effect(vec4 color, Image texture, vec2 texture_coords, vec2 pixel_coords)
		{
		vec2 deltaTextCoord = texture_coords - ltgDir;
		deltaTextCoord *= 1.0 / float(numSamp) * density;
		number illuminationDecay = 0.5;
		vec2 textCoo=texture_coords;
		vec4 result=texture2D(texture, textCoo );
		for(int i=0; i < numSamp ; i++)
			{
			textCoo -= deltaTextCoord;
			vec4 sample = texture2D(texture, textCoo );
			sample *= illuminationDecay * weight;
			result += sample/numSamp;
			illuminationDecay *= decay;
			}
		return result;
		}
	]]

	ssData = args[1]
	mobNumber = args[2]
	
	ss = love.graphics.newImage(ssData)
	
	startTime = love.timer.getTime()
	t = 1.7
end

-- code to run when battleTran screen is destroyed
function battleTranScreen.unload()
end

-- code to run when a key is pressed
function battleTranScreen.keypressed(key, unicode)
end

-- code to run when a key is released
function battleTranScreen.keyreleased(key, unicode)
end

-- code to run when mouse is pressed
function battleTranScreen.mousepressed(x, y, button)
end

-- code to run when mouse is released
function battleTranScreen.mousereleased(x, y, button)
end

-- code to run every frame
function battleTranScreen.update(dt)
	t = t + dt
	
	effect:send("decay", t / 2)
	effect:send("density", 0.4)
	effect:send("weight", 2)
	effect:send("ltgDir", { 0.5, 0.5 })
	effect:send("numSamp", 50)
	
	if love.timer.getTime() >= startTime + 0.8 then
		changeScreen(battleScreen, {mobNumber})
	end
end

-- code to draw every frame
function battleTranScreen.draw()
	love.graphics.setPixelEffect(effect)
	love.graphics.draw(ss)
end

return battleTranScreen