-- the loadProfile screen
local loadProfileScreen = {}

-- code to run when loadProfile screen is loaded
function loadProfileScreen.load()
	local profiles = loadProfiles()
	
	labelText = loveframes.Create("text")
	labelText:SetText("Select profile:")
	labelText:SetPos((g_w / 2) - 50, (g_h / 2) - 50)
	
	profileMultiChoice = loveframes.Create("multichoice")
	profileMultiChoice:Center()
	for k,v in pairs(profiles) do
		profileMultiChoice:AddChoice(k)
	end
		
	cancelButton = loveframes.Create("button")
	cancelButton:SetText("Cancel")
	cancelButton:SetPos((g_w / 2) - 100, (g_h - 200))
	cancelButton:SetSize(98, 48)
	cancelButton:SetEnabled(true)
	cancelButton:SetClickable(true)
	cancelButton.OnClick = function() changeScreen(mainScreen) end
	
	confirmButton = loveframes.Create("button")
	confirmButton:SetText("Load")
	confirmButton:SetPos((g_w / 2), (g_h - 200))
	confirmButton:SetSize(98, 48)
	confirmButton.OnClick = function() loadProfileScreen.loadProfile() end
end

-- code to run when loadProfile screen is destroyed
function loadProfileScreen.unload()
	loveframes.util.RemoveAll()
end

-- code to run when a key is pressed
function loadProfileScreen.keypressed(key, unicode)
end

-- code to run when a key is released
function loadProfileScreen.keyreleased(key, unicode)
end

-- code to run when mouse is pressed
function loadProfileScreen.mousepressed(x, y, button)
end

-- code to run when mouse is released
function loadProfileScreen.mousereleased(x, y, button)
end

-- code to run every frame
function loadProfileScreen.update(dt)
	if profileMultiChoice:GetChoice() == "" then
		confirmButton:SetEnabled(false)
	else
		confirmButton:SetEnabled(true)
	end
end

-- code to draw every frame
function loadProfileScreen.draw()
	love.graphics.setFont(g_font_dimbo_20)
end

function loadProfileScreen.loadProfile()
	name = profileMultiChoice:GetChoice()
	loadGame(name)
	
	changeScreen(storyScreen)
end

return loadProfileScreen