-- the menu screen
local mainScreen = {}

-- code to run when menu screen is loaded
function mainScreen.load()
	mainScreen.initMenu()
end

-- code to run when screen is destroyed
function mainScreen.unload()
	loveframes.util.RemoveAll()
end

-- code to run when a key is pressed
function mainScreen.keypressed(key, unicode)
end

-- code to run when a key is released
function mainScreen.keyreleased(key, unicode)
end

-- code to run when mouse is pressed
function mainScreen.mousepressed(x, y, button)
end

-- code to run when mouse is released
function mainScreen.mousereleased(x, y, button)
end

-- code to run every frame
function mainScreen.update(dt)
end

-- code to draw ever frame
function mainScreen.draw()
	love.graphics.setFont(g_font_dimbo_60)
	
	love.graphics.print("Badger Battle", 
		(g_w / 2) - 115, (g_h / 4))
	love.graphics.setFont(g_font_dimbo_20)
end

-- initialize main menu
function mainScreen.initMenu()
	mainMenu = {
		loveframes.Create("button"),
		loveframes.Create("button"),
		loveframes.Create("button"),
		loveframes.Create("button"),
	}
	
	mainMenu[1]:SetText("New Game")
	mainMenu[1].OnClick = function() changeScreen(newProfileScreen) end
	mainMenu[2]:SetText("Load Game")
	mainMenu[2].OnClick = function() changeScreen(loadProfileScreen) end
	mainMenu[3]:SetText("Options")
	mainMenu[3].OnClick = function() changeScreen(optionScreen) end
	mainMenu[4]:SetText("Quit")
	mainMenu[4].OnClick = function() love.event.push("quit") end
	
	mainMenu[3]:SetEnabled(false)
	
	local buttonY = -100
	for i,v in ipairs(mainMenu) do
		v:SetPos((g_w / 2) - 200, (g_h / 2) + buttonY)		
		v:SetSize(400, 48)
		
		buttonY = buttonY + 50
	end
	
	if loadProfiles() == nil then
		mainMenu[2]:SetEnabled(false)
	end
	
end

return mainScreen