-- the newProfile screen
local newProfileScreen = {}

-- code to run when newProfile screen is loaded
function newProfileScreen.load()
	labelText = loveframes.Create("text")
	labelText:SetText("New profile name:")
	labelText:SetPos((g_w / 2) - 50, (g_h / 2) - 50)
	
	profileNameInput = loveframes.Create("textinput")
	profileNameInput:SetFocus(true)
	profileNameInput:Center()
	profileNameInput.OnEnter = 
		function(object)
			if newProfileScreen.nameIsValid() then
				newProfileScreen.saveProfile()
			end
		end
		
	cancelButton = loveframes.Create("button")
	cancelButton:SetText("Cancel")
	cancelButton:SetPos((g_w / 2) - 100, (g_h - 200))
	cancelButton:SetSize(98, 48)
	cancelButton.OnClick = function() changeScreen(mainScreen) end
	
	saveButton = loveframes.Create("button")
	saveButton:SetText("Start")
	saveButton:SetPos((g_w / 2), (g_h - 200))
	saveButton:SetSize(98, 48)
	saveButton.OnClick = function() newProfileScreen.saveProfile() end
end

-- code to run when newProfile screen is destroyed
function newProfileScreen.unload()
	loveframes.util.RemoveAll()
end

-- code to run when a key is pressed
function newProfileScreen.keypressed(key, unicode)
end

-- code to run when a key is released
function newProfileScreen.keyreleased(key, unicode)
end

-- code to run when mouse is pressed
function newProfileScreen.mousepressed(x, y, button)
end

-- code to run when mouse is released
function newProfileScreen.mousereleased(x, y, button)
end

-- code to run every frame
function newProfileScreen.update(dt)
	if newProfileScreen.nameIsValid() then
		saveButton:SetEnabled(true)
	else
		saveButton:SetEnabled(false)
	end
end

-- code to draw every frame
function newProfileScreen.draw()
	love.graphics.setFont(g_font_dimbo_20)
end

function newProfileScreen.nameIsValid()
	local name = profileNameInput:GetText()
	
	if name == "" then return false end
	
	for k,v in pairs(loadProfiles() or {}) do
		if name == k then
			return false
		end
	end
	
	return true
end

function newProfileScreen.saveProfile()
	local name = profileNameInput:GetText()
	newGame(name)
	changeScreen(storyScreen)
end

return newProfileScreen