local storyScreen = {}

function storyScreen.load()
	storyScreen.initStoryScreen()
end

function storyScreen.unload()
	loveframes.util.RemoveAll()
end

function storyScreen.keypressed(key, unicode)
end

function storyScreen.keyreleased(key, unicode)
end

function storyScreen.mousepressed(x, y, button)
end

function storyScreen.mousereleased(x, y, button)
end

function storyScreen.update(dt)
end

function storyScreen.draw()
	love.graphics.setFont(g_font_dimbo_24)
	love.graphics.print(player.name, g_w/20, g_h/1.2)
	love.graphics.print("Level: " .. player.stats.level, g_w/20, g_h/1.2 + 25)
	love.graphics.print("XP: " .. player.progress.curXp .. " / " .. player.progress.xpToLvl, g_w/20, g_h/1.2 + 50)
end

function storyScreen.initStoryScreen()
	badgerButton = loveframes.Create("button")
	badgerButton:SetText("Stats")
	badgerButton:SetPos(50, g_h / 5)
	badgerButton:SetSize(100, 40)
	badgerButton.OnClick = function() changeScreen(badgerScreen) end
	
	skillButton = loveframes.Create("button")
	skillButton:SetText("Skills")
	skillButton:SetPos(50, g_h / 5 + 50)
	skillButton:SetSize(100, 40)
	skillButton.OnClick = function() changeScreen(skillScreen) end

	mainMenuButton = loveframes.Create("button")
	mainMenuButton:SetText("Main Menu")
	mainMenuButton:SetPos(g_w - 200, g_h - 130)
	mainMenuButton:SetSize(100, 40)
	mainMenuButton.OnClick = function() changeScreen(mainScreen) end
	
	levelOne = {
		loveframes.Create("button"),
		loveframes.Create("button"),
		loveframes.Create("button"),
		loveframes.Create("button"),
		loveframes.Create("button")
	}
	
	local buttonX = -325
	for i,v in ipairs(levelOne) do
		if i == #levelOne then
			v:SetX((g_w / 2) + buttonX + 10)
			v:SetSize(150, 150)
		else
			v:SetX((g_w / 2) + buttonX)		
			v:SetSize(120, 120)
		end
		
		v:CenterY()
		v:SetText(mobCatalogue[i].name)
		v.OnClick = function() storyScreen.transition(i) end
		
		if player.progress.nextMob < i then
			v:SetEnabled(false)
		end
		
		buttonX = buttonX + 130
	end
end

function storyScreen.transition(i)
	ssData = love.graphics.newScreenshot()
	changeScreen(battleTranScreen, {ssData, i})
end

return storyScreen