-- the win screen
local winScreen = {}

-- code to run when win screen is loaded
function winScreen.load(args)
	enemy = args[1]
	levelUp = false
	winScreen.updatePlayerStats()
	saveGame(player)
	
	continueButton = loveframes.Create("button")
	continueButton:SetText("Continue")
	continueButton:SetPos(g_w - 200, g_h - 130)
	continueButton:SetSize(100, 40)
	continueButton.OnClick = function() changeScreen(storyScreen) end
end

-- code to run when win screen is destroyedd
function winScreen.unload()
	loveframes.util.RemoveAll()
end

-- code to run when a key is pressed
function winScreen.keypressed(key, unicode)
end

-- code to run when a key is released
function winScreen.keyreleased(key, unicode)
end

-- code to run when mouse is pressed
function winScreen.mousepressed(x, y, button)
end

-- code to run when mouse is released
function winScreen.mousereleased(x, y, button)
end

-- code to run every frame
function winScreen.update(dt)
end

-- code to draw every frame
function winScreen.draw()
	love.graphics.setFont(g_font_dimbo_20)
	
	love.graphics.print("Success!", g_w/2, g_h/2)
	love.graphics.print("XP Earned: " .. enemy.xp, g_w/2, (g_h/2)+30)
	if levelUp then
		love.graphics.print("Level Up!", g_w/2, (g_h/2)+60)
		love.graphics.print("Gained 3 Skill Points", g_w/2, (g_h/2)+90)
	end
end

-- update player stats
function winScreen.updatePlayerStats()
	-- update progress
	player.progress.curXp = player.progress.curXp + enemy.xp
	player.progress.totXp = player.progress.totXp + enemy.xp
	player.progress.nextMob = math.max(player.progress.nextMob, enemy.index + 1)
	player.progress.mobsKilled = player.progress.mobsKilled + 1
	
	-- check for level up
	if player.stats.level < 50 then
		if player.progress.curXp >= player.progress.xpToLvl then
			player.progress.curXp = player.progress.curXp - player.progress.xpToLvl
			player:levelUp()
			levelUp = true
		end
	end
	
	-- restore Hp
	player.state.totHp = player.stats.hp
	player.state.curHp = player.stats.hp
end

return winScreen